################################################################################
#
# UBOX TOOLS
#
################################################################################

UBOX_VERSION:= 2016.07.19

UBOX_SITE = $(TOPDIR)/../../src/3P/ubox/builders/cmake
UBOX_SITE_METHOD = local
UBOX_INSTALL_STAGING = YES

UBOX_DEPENDENCIES = libubox ubus

UBOX_CONF = SRC_DIR=$(TOPDIR)/../..

UBOX_CONF_ENV = $(UBOX_CONF)
UBOX_MAKE_ENV = $(UBOX_CONF)
UBOX_CONF_OPTS += -DMODULE_PATH=$(TOPDIR)/../../bsp/cmake-modules -DCMAKE_BUILD_TYPE=$(BUILD_TYPE)

$(eval $(cmake-package))
